Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.exception
Class RoleExistsException

    java.lang.Object
      JSException
          jet.server.api.exception.RoleExistsException

    public class RoleExistsException

extends JSException

Role Exists exception

Constructor Summary
`RoleExistsException(int msgKey)` Construct a new `RoleExistsException` with specified message, the cause is not initialized.
`RoleExistsException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`RoleExistsException(int msgKey, java.lang.Throwable cause)` Construct a new `RoleExistsException` with specified detail message and cause.
`RoleExistsException(java.lang.String msg)` Construct a new `RoleExistsException` with specified message, the cause is not initialized.
`RoleExistsException(java.lang.Throwable cause)` Construct a new `RoleExistsException` with specified cause and a `null`detail message.``

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleExistsException

    public RoleExistsException(int msgKey,
                               java.lang.Object[] params,
                               java.lang.Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for find the message, and will be loged and showed to user.
    `params` - the parameters used for format the message string, can be null.
    `cause` - the cause (which is saved for later retrieval by the getCause.

### RoleExistsException

    public RoleExistsException(int msgKey,
                               java.lang.Throwable cause)

  Construct a new `RoleExistsException` with specified detail message and cause.

  Parameters:
    `msgKey` - the message key
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### RoleExistsException

    public RoleExistsException(int msgKey)

  Construct a new `RoleExistsException` with specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key

### RoleExistsException

    public RoleExistsException(java.lang.String msg)

  Construct a new `RoleExistsException` with specified message, the cause is not initialized.

  Parameters:
    `msg` - the detail message.

### RoleExistsException

    public RoleExistsException(java.lang.Throwable cause)

  Construct a new `RoleExistsException` with specified cause and a `null`detail message.

  Parameters:
    `cause` - the cause.
  ``

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD